summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-system/firstboot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core-testing/LinHES-system/firstboot.sh')
-rwxr-xr-xabs/core-testing/LinHES-system/firstboot.sh33
1 files changed, 20 insertions, 13 deletions
diff --git a/abs/core-testing/LinHES-system/firstboot.sh b/abs/core-testing/LinHES-system/firstboot.sh
index 47aa0f9..7e2f603 100755
--- a/abs/core-testing/LinHES-system/firstboot.sh
+++ b/abs/core-testing/LinHES-system/firstboot.sh
@@ -1,22 +1,29 @@
#!/bin/bash
. ~/.configured
ATTEMPT=0
+
function try_smolt {
- ((ATTEMPT=ATTEMPT+1))
- status=$(echo "jump mythsmolt" | telnet localhost 6546 2>&1)
- echo $status|grep -q refused
- status=$?
- if [ $status != 0 ]
- then
- fb_status=0
- echo "FB=NO" > ~/.configured
- fi
- if [ $ATTEMPT = 200 ]
- then
- fb_status=0
- fi
+ ((ATTEMPT=ATTEMPT+1))
+ WID=`xdotool search "mythfrontend" | head -1`
+ xdotool windowfocus $WID
+ status=$?
+ if [ $status = 0 ]
+ then
+ sleep 2
+ xdotool key "ctrl+alt+p"
+ xdotool key "ctrl+alt+p"
+ fb_status=0
+ echo "FB=NO" > ~/.configured
+ fi
+
+ if [ $ATTEMPT = 200 ]
+ then
+ fb_status=0
+ fi
+
}
+
if [ ! -e /tmp/debug ]
then
if [ ! -e /tmp/nomfe ]